<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class Chat extends Model
{
    use HasFactory;
    protected $table = 'chat';
    protected $guarded = [];


    public function sender()
    {
        return $this->hasOne('App\Models\User', 'id', 'sender_id');
    }


    public function reciever()
    {
        return $this->hasOne('App\Models\User', 'id', 'receiver_id');
    }
}
